ftp_chmod
ftp_connect
FTP Functions
PHP Manual

# ftp_close

Closes an FTP connection

### Description

bool ftp_close ( resource `$ftp_stream` )

ftp_close closes the given link identifier and releases the resource.

> Note:

> After calling this function, you can no longer use the FTP connection and must create a new one with ftp_connect.

### Parameters

`ftp_stream`

  The link identifier of the FTP connection.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 ftp_close example

`<?php
// set up basic connection
$conn_id = ftp_connect($ftp_server);
// login with username and password
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
// print the current directory
echo ftp_pwd($conn_id); // /
// close this connection
ftp_close($conn_id);
?>`

### See Also

- ftp_connect